#include "main.h"
#include "globals.h"
#include "galvid.h"
#include "amdvid.h"
#include "blit.h"
#include "twk.h"
#include "pacvid.h"


void initamidar(void)
{
   colmask=7;
   blnkchar=16;
   bankchar=0;
}

void amidarint(void)
{
   if(pCode[0xa008])
      mz80nmi();
}


void clearamidar(void)
{
   AY8910clear();
}



void amdupdatescreen(void)
{
   pCharMem=&pCode[0x9000];
   pAttrMem=&pCode[0x9800];
   amddispchars();
   drawamdsprites(0x9840);
}

void drawamdsprites(int amdoff)
{
   int idx,spr;
   BYTE col;
   pBYTE pWork;
   int x,y,flipx,flipy;


   pWork=&pCode[amdoff];
   if(realorient)
   {
      for(idx=0;idx<32;idx+=4)
      {
         if(FlipScreen)
         {
            y=pWork[idx]+3;
            x=240-pWork[3+idx];
         }
         else
         {
            y=240-pWork[idx];
            x=pWork[3+idx]+1;
         }
         spr=pWork[1+idx];



         if(x>8&&y>8&&spr)
         {
            col=pWork[2+idx]&0x07;
            flipx=(spr>>6)&1;
            flipy=(spr>>6)&2;
            if(FlipScreen)
            {
               flipx=!flipx;
               flipy=!flipy;
            }
            sprblit(x,y,spr&0x3f,col,flipx,flipy);
            if(FlipScreen)
               markpacdirtreal(240-x,243-y);
            else
               markpacdirtreal(x,y);

         }
      }
   }
   else
   {
      for(idx=0;idx<32;idx+=4)
      {
         if(FlipScreen)
         {
            x=244-pWork[idx];
            y=240-pWork[3+idx];
         }
         else
         {
            x=pWork[idx]+7;
            y=pWork[3+idx];
         }

         spr=pWork[1+idx];

         if(x>8&&y>8&&spr)
         {
            col=pWork[2+idx]&0x07;
            flipx=(spr>>6)&2;
            flipy=(spr>>6)&1;
            if(FlipScreen)
            {
               flipx=!flipx;
               flipy=!flipy;
            }

            sprblit(x,y,spr&0x3f,col,flipx,flipy);
            if(FlipScreen)
               markpacdirt(252-x,240-y);
            else
               markpacdirt(x,y);

         }
      }
   }
}

