#ifndef _DK_MEM_H
#define _DK_MEM_H

struct MemoryWriteByte DKWrite[] =
{
   {0x0000,0x5fff,romwrite,NULL},
   {0x7c00,0x7c00,dktunew,NULL},
   {0x7d00,0x7d02,dksoundw1,NULL},
   {0x7d03,0x7d03,dkcoinw,NULL},
   {0x7d04,0x7d04,dkfallw,NULL},
   {0x7d05,0x7d05,dkprizew,NULL},
   {0x7d80,0x7d80,dkdeadw,NULL},
   {0x7d82,0x7d82,ivflipscreenw,NULL},
   {0x7d86,0x7d87,dkpbankwrite,NULL},
   {(UINT32)0xffffffff,     (UINT32)0xfffffff, NULL,NULL}

};

struct MemoryWriteByte DKJrWrite[] =
{
   {0x0000,0x5fff,romwrite,NULL},
   {0x7c00,0x7c00,dkjrtunew,NULL},
   {0x7d00,0x7d00,dkjrsoundclimbw,NULL},
   {0x7d01,0x7d01,dkjrsoundjumpw,NULL},
   {0x7d02,0x7d02,dkjrsoundlandw,NULL},
   {0x7d03,0x7d03,dkjrsoundroarw,NULL},
   {0x7d04,0x7d04,dkjrsoundhitw,NULL},
   {0x7d05,0x7d05,dkjrsoundcoinw,NULL},
   {0x7d06,0x7d06,dkjrsoundsnapjaww,NULL},
   {0x7d80,0x7d80,dkjrsounddeathw,NULL},
   {0x7d81,0x7d81,dkjrsounddropw,NULL},
   {0x7d82,0x7d82,ivflipscreenw,NULL},
   {0x7d86,0x7d87,dkpbankwrite,NULL},
   {0x8000,0x9fff,romwrite,NULL},
   {(UINT32)0xffffffff,     (UINT32)0xfffffff, NULL,NULL}
};

struct MemoryReadByte DKRead[] =
{
   {0x7c80,0x7c80,dkinp2,NULL},
   {0x7d00,0x7d00,dip1,NULL},
   {0x7d80,0x7d80,dip2,NULL},
   {(UINT32)0xffffffff,     (UINT32)0xfffffff, NULL,NULL}
};

#endif
