#ifndef _FILE_IO_H_
#define _FILE_IO_H_

typedef struct configitemTAG
{
   int *pvalue;
   char comment[256];
   char name[32];
   int *overidevalue;
   int writetocfg;
   int defval;
   int setbycommand;
} CONFIGITEM ;

typedef CONFIGITEM *pCONFIGITEM;

typedef struct textitemTAG
{
   char *pvalue;
   char comment[256];
   char name[32];
} TEXTITEM;
typedef TEXTITEM *pTEXTITEM;

int loadsamples(void);
int loadroms(char * basename,pROMSTRUCT pROMS,pBYTE pCode);
void readrom(pROMSTRUCT pROM,pBYTE buf,pBYTE pxCode);
int loadrom(char * basename,pROMSTRUCT pROM,pBYTE pCode);
int loadfileorzip(char *filename,char *basedir,char *subdir,pBYTE *outbuf,DWORD *len);
void readcfgfile(pCONFIGITEM configs,pCONFIGITEM configvals,pTEXTITEM textvals);
void writecfgfile(pCONFIGITEM configs,pCONFIGITEM configvals,pTEXTITEM textvals);
int getitemcount(char *in,char sep);
char *getitem(char *out,char *in,int nindex,int bsize,char sep);
void loginfo(char *buffer,...);

#endif
