#ifndef _FROG_MEM_H_
#define _FROG_MEM_H_

struct z80PortRead FrogReadPorts[] =
{
   {0x40,0x40,AY8910_read_port_0_r,NULL},
   {(UINT16)0xffff,     (UINT16)0xffff, NULL,NULL}
};

struct z80PortWrite FrogWritePorts[] =
{
   {0x80,0x80,AY8910_control_port_0_w,NULL},
   {0x40,0x40,AY8910_write_port_0_w,NULL},
   {(UINT16)0xffff,     (UINT16)0xffff, NULL,NULL}
};


struct MemoryWriteByte FrogWrite[] =
{
   {0x0000,0x3fff,romwrite,NULL},
   {0xb80c,0xb80c,flipscreenw,NULL},
   {0xe000,0xe003,romwrite,NULL},
   {0xd000,0xd000,sound_command_w,NULL},
   {0xd002,0xd002,scramsndirq,NULL},
   {(UINT32)0xffffffff,     (UINT32)0xfffffff, NULL,NULL}
};


struct MemoryReadByte FrogRead[] =
{
   {0xe002,0xe002,dip1,NULL},
   {0xe004,0xe004,dip2,NULL},
   {(UINT32)0xffffffff,     (UINT32)0xfffffff, NULL,NULL}
};


struct MemoryWriteByte FrogSndWrite[] =
{
   { 0x0000, 0x17ff, romwrite,NULL},
   {(UINT32)0xffffffff,     (UINT32)0xfffffff, NULL,NULL}
};

#endif
