#include "main.h"
#include "globals.h"

//#define MEM_LOG

void *myalloc(unsigned long lSize)
{
	void *ret;
   ret=malloc((size_t)lSize);
#ifdef MEM_LOG
   if(ret)
      loginfo("Allocated %ld bytes Ptr=%u",lSize,(unsigned int)ret);
 #endif
   if(!ret)
   {
      loginfo("FAILED to Allocate %ld bytes",lSize);
      printf("!! FATAL ERROR : FAILED to Allocate %ld bytes !!\n",lSize);
   }
	return ret;
}

void myfree(void *pf)
{
	if(pf)
      free(pf);
#ifdef MEM_LOG
   loginfo("Freed memory, ptr=%u",(unsigned int)pf);
#endif
}


