#ifndef _PAC_VID_H_
#define _PAC_VID_H_

void initpac(void);
void initpacplus(void);
void clearpac(void);
void pacintwrite(UINT16 offset, UINT8 value, struct z80PortWrite *pw);
void pacvideowrite(UINT32 offset, UINT8 value, struct MemoryWriteByte * mwb);
void paccolwrite(UINT32 offset, UINT8 value, struct MemoryWriteByte * mwb);
void pacint(void);
void pacsetpal(pBYTE pIn);
void pacupdatescreen(void);
void drawpacsprites(void);
void drawpacchars(void);
void markpacdirt(int x,int y);
void markpacdirtreal(int x,int y);
void pacplusdecode(void);
void initeyes(void);
void eyesdecode(void);
void eyesdecodegfx(pBYTE pIn,int nType);
void pacintvw(UINT16 offset, UINT8 value, struct z80PortWrite *zpw);
void vanvanint(void);
void vanvandatescreen(void);
void checkspeed(void);
void pacintenablew(UINT32 offset, UINT8 value, struct MemoryWriteByte * mwb);
void inittheglob(void);
void theglob_decrypt_rom_8(void);
void theglob_decrypt_rom_9(void);
void theglob_decrypt_rom_A(void);
void theglob_decrypt_rom_B(void);
UINT16 theglobdecrypt(UINT16 offset, struct z80PortRead *zpr);
UINT8 dreamnon(UINT32 offset,struct MemoryReadByte * mrb);
void dreamint(void);


void jumpshot_decode(void);
void initjumpshot(void);

UINT8 cannonbp_r_prot(UINT32 offset,struct MemoryReadByte * mrb);

#define BIT(x,n) (((x)>>(n))&1)

#define BITSWAP8(val,B7,B6,B5,B4,B3,B2,B1,B0) \
		((BIT(val,B7) << 7) | \
		 (BIT(val,B6) << 6) | \
		 (BIT(val,B5) << 5) | \
		 (BIT(val,B4) << 4) | \
		 (BIT(val,B3) << 3) | \
		 (BIT(val,B2) << 2) | \
		 (BIT(val,B1) << 1) | \
		 (BIT(val,B0) << 0))



#endif
