#ifndef _BJ_MEM_H_
#define _BJ_MEM_H_

struct MemoryWriteByte BJWrite[] =
{
   {0x9c00,0x9cff,bjpalwrite,NULL},
   {0xb004,0xb004,flipscreenw,NULL},
   {0xb800,0xb800,sound_command_w,NULL},
//   {0xb800,0xb800,bjsound,NULL},
   {(UINT32)0xffffffff,     (UINT32)0xfffffff, NULL,NULL}
};


struct MemoryReadByte BJRead[] =
{
   {0xb000,0xb000,readbjp1,NULL},
   {0xb004,0xb004,dip1,NULL},
   {0xb005,0xb005,dip2,NULL},
   {(UINT32)0xffffffff,     (UINT32)0xfffffff, NULL,NULL}
};

struct MemoryReadByte BJSndRead[] =
{
   {0x6000,0x6000,bjsndread,NULL},
   {(UINT32)0xffffffff,(UINT32)0xfffffff, NULL,NULL}
};


struct MemoryWriteByte BJSndWrite[] =
{
   {0x0000,0x1fff,romwrite,NULL},

   {(UINT32)0xffffffff,(UINT32)0xfffffff, NULL,NULL}
};


struct z80PortWrite BJSndWritePorts[] =
{
   {0x00,0x00,AY8910_control_port_0_w,NULL},
   {0x01,0x01,AY8910_write_port_0_w,NULL},
   {0x10,0x10,AY8910_control_port_1_w,NULL},
   {0x11,0x11,AY8910_write_port_1_w,NULL},
   {0x80,0x80,AY8910_control_port_2_w,NULL},
   {0x81,0x81,AY8910_write_port_2_w,NULL},
   {(UINT16)0xffff,     (UINT16)0xffff, NULL,NULL}
};

struct z80PortRead BJSndReadPorts[] =
{
   {0x01,0x01,AY8910_read_port_0_r,NULL},
   {0x11,0x11,AY8910_read_port_1_r,NULL},
   {0x81,0x81,AY8910_read_port_2_r,NULL},
   {(UINT16)0xffff,     (UINT16)0xffff, NULL,NULL}
};

#endif
