#ifndef _GALAG_BRD_H_
#define _GALAG_BRD_H_


ROMSTRUCT galagacode[]=
{
   {"04m_g01.bin",0x0000,0x1000,0x0000},
   {"04k_g02.bin",0x1000,0x1000,0x0000},
   {"04j_g03.bin",0x2000,0x1000,0x0000},
   {"04h_g04.bin",0x3000,0x1000,0x0000},
   {"",0,0,0}
};

ROMSTRUCT galagadscode[]=
{
   {"3200a.bin",0x0000,0x1000,0x0000},
   {"3300b.bin",0x1000,0x1000,0x0000},
   {"3400c.bin",0x2000,0x1000,0x0000},
   {"3500d.bin",0x3000,0x1000,0x0000},
   {"",0,0,0}
};


ROMSTRUCT galagacode2[]=
{
   {"04e_g05.bin",0x0000,0x1000,0x0000},
   {"",0,0,0}
};

ROMSTRUCT galagadscode2[]=
{
   {"3600fast.bin",0x0000,0x1000,0x0000},
   {"",0,0,0}
};


ROMSTRUCT galagacode3[]=
{
   {"04d_g06.bin",0x0000,0x1000,0x0000},
   {"",0,0,0}
};

ROMSTRUCT galagadscode3[]=
{
   {"3700g.bin",0x0000,0x1000,0x0000},
   {"",0,0,0}
};


ROMSTRUCT galagagfx[]=
{
   {"07m_g08.bin",0x0000,0x1000,0x0000},
   {"07e_g10.bin",0x1000,0x1000,0x0000},
   {"07h_g09.bin",0x2000,0x1000,0x0000},
   {"",0,0,0}
};

ROMSTRUCT galagacol[]=
{
   {"5n.bin",0x0000,0x0020,0x0000},
   {"2n.bin",0x0020,0x0100,0x0000},
   {"1c.bin",0x0120,0x0100,0x0000},
   {"5c.bin",0x0220,0x0100,0x0000},
   {"",0,0,0}
};

ROMSTRUCT galagasound[]=
{
   {"1d.bin",0x0000,0x0100,0x0000},
   {"",0,0,0}
};

ROMSTRUCT galaga84code[]=
{
   {"g1",0x0000,0x1000,0x0000},
   {"gal84_u2",0x1000,0x1000,0x0000},
   {"04j_g03.bin",0x2000,0x1000,0x0000},
   {"g4",0x3000,0x1000,0x0000},
   {"",0,0,0}
};

ROMSTRUCT galaga84code2[]=
{
   {"gal84_u5",0x0000,0x1000,0x0000},
   {"",0,0,0}
};


ROMSTRUCT galaga84gfx[]=
{
   {"07m_g08.bin",0x0000,0x1000,0x0000},
   {"gal84u4d",0x1000,0x1000,0x0000},
   {"gal84u4e",0x2000,0x1000,0x0000},
   {"",0,0,0}
};


//layout of chars
SPRLAYOUT galagaclayout={32,128,2,{0,4},{67,66,65,64,3,2,1,0},{0,1,2,3,4,5,6,7},16};
//layout of sprites
SPRLAYOUT galagaslayout={32,128,2,{0,4},
   {   3,2,1,0,8*8+3, 8*8+2, 8*8+1,8*8,16*8+3, 16*8+2, 16*8+1, 16*8+0,24*8+3, 24*8+2, 24*8+1,24*8+0},
   {0,1,2,3,4,5,6,7,32,33,34,35,36,37,38,39},64};

GFXDETAILS galagagfxs[]=
{
   {0,0,8,8,&galagaclayout,0,TYPE_CHAR},
   {0x1000,0,16,16,&galagaslayout,1,TYPE_SPR},
   {-1,0,0,0,0,0,0}
};

#define GALAGADIPS \
   { \
   {1,0,0,0,0, \
      { \
         {DIP_CREDIT,0x07,0, \
            { \
               {DIP_4C_1C,0,0x04},{DIP_3C_1C,0,0x02},{DIP_2C_1C,0,0x06}, \
               {DIP_1C_1C,0,0x07},{DIP_2C_3C,0,0x01},{DIP_1C_2C,0,0x03}, \
               {DIP_2C_3C,0,0x01},{DIP_1C_3C,0,0x05},{DIP_FREE,0,0x00} \
            } \
         }, \
         {DIP_BONUS,0x38,0, \
            { \
               {"20K 60K 60K",0,0x20},{"20K 60K",0,0x19},{"20K 70K 70K",0,0x10}, \
               {"20K 80K 80K",0,0x30},{"30K 80K",0,0x38},{"30K 100K 100K",0,0x08}, \
               {"30K 120K 120K",0,0x28},{"None",0,0x00} \
            } \
         }, \
         {DIP_LIVES,0x80,0, \
            { \
               {"2",0,0},{"3",0,0x80},{"4",0,0x40},{"5",0,0xc0} \
            } \
         } \
      } \
   }, \
   {2,0,0x44,0,0, \
      { \
         {"2 Credits Game",1,0, \
            { \
               {"1 Player",0,0},{"2 Player",0,0x01} \
            } \
         }, \
         {DIP_DIFFICULTY,3,0, \
            { \
               {DIP_EASY,0,3},{DIP_NORMAL,0,0},{DIP_HARD,0,1},{DIP_HARDEST,0,2} \
            } \
         }, \
         {DIP_SOUNDS,8,0, \
            { \
               {DIP_ON,0,0},{DIP_OFF,0,8}\
            } \
         }, \
         {DIP_FREEZE,0x10,0, \
            { \
               {DIP_ON,0,0},{DIP_OFF,0,0x10}\
            } \
         }, \
         {DIP_RACK,0x20,0, \
            { \
               {DIP_ON,0,0},{DIP_OFF,0,0x20}\
            } \
         }, \
         {DIP_CABINET,0x80,0, \
            { \
               {DIP_COCKTAIL,0,0},{DIP_UPRIGHT,0,0x80}\
            } \
         } \
      } \
   } \
   }




INPUTS galagainputs[]=
{
   {K_NO_MATCH,0x10000,0x01,0,0},
   {K_PL1_RIGHT,0x10000,0x02,0,0},
   {K_NO_MATCH,0x10000,0x04,0,0},
   {K_PL1_LEFT,0x10000,0x08,0,0},
   {K_PL1_B1,0x10000,0x10,0,1},
   {K_NO_MATCH,0x10000,0xc0,0,0},

   {K_NO_MATCH,0x10001,0x01,0,0},
   {K_PL2_RIGHT,0x10001,0x02,0,0},
   {K_NO_MATCH,0x10001,0x04,0,0},
   {K_PL2_LEFT,0x10001,0x08,0,0},
   {K_PL2_B1,0x10001,0x10,0,1},
   {K_NO_MATCH,0x10000,0xc0,0,0},

   {K_PL1_B1,0x10002,0x03,0,0},
   {K_PL1_START,0x10002,0x04,0,1},
   {K_PL2_START,0x10002,0x08,0,1},
   {K_COIN1,0x10002,0x10,0,1},
   {K_COIN2,0x10002,0x20,0,1},
   {K_NO_MATCH,0x10002,0x40,0,1},
   {K_NO_MATCH,0x10002,0x80,0,0},
   {-1,-1,0,0,0}
};

#endif
