#include	"nkeys.h"


.text
//our keyboard handler
.globl __akey_handler
	.align 4
__akey_handler:

  pushw %ds
  pushw %es
  pushw %fs
  pushw %gs
  pushal
  .byte 0x2e
  movw ___djgpp_ds_alias,%ax
  movw %ax, %ds
  movw %ax, %es
  movw %ax, %fs
  movw %ax, %gs
//read the keyboard port
	movw	$0x60,%dx
	inb		%dx,%al
	mov		%al,%ah
//get the scancode
	andb	$127,%al
//and the make/break state
	andb	$128,%ah
//invert make/break to make life easier
	xorb	$128,%ah
//set our anykey pressed flag
	jz		notakey
  movb  %al,_KeyPressed
notakey:
//now check all the keys
	leal	_lowkeys,%esi
	leal	_scancodes,%edi
	movl	$NO_OF_KEYS,%ecx
chklp:
	cmpb	(%edi),%al
	jne		nomatch
	movb	%ah,(%esi)
nomatch:
	incl	%esi
	incl	%edi
	loop	chklp
//flag we've finished
	movb	$0x20,%al
	mov		$0x20,%dx
	outb	%al,%dx

  cli
  popal
  popw %gs
	popw %fs
  popw %es
  popw %ds
  sti

  iret
//This is just to make locking the code easier
.globl __akey_handler_end
  .align 4
__akey_handler_end:
	ret
