#ifndef _MAIN_
#define _MAIN_

#include <stdio.h>
#include <stdlib.h>
#include <stdio.h>
#include <string.h>
#include <ctype.h>
#include <dos.h>
#include <dpmi.h>
#include <go32.h>
#include <time.h>
#include <sys\farptr.h>
#include <unistd.h>
#include <stdarg.h>
#include <audio.h>


#include "mem.h"

#include "unzip.h"

#include "mz80.h"
#include "fixed.h"
#include "vdefs.h"
#include "dip.h"
#include "ui.h"
#include "sound.h"
#include "pcx.h"
#include "video.h"
#include "vidasm.h"
#include "fileio.h"
#include "namcosnd.h"
#include "ay8910.h"
#include "sn76496.h"
#include "fm.h"
#include "ym2203.h"
#include "vesa.h"

typedef struct starsTAG
{
   int x;
   int y;
   BYTE col;
} STARS;

#define CALLFUNC(x) \
   if(pBoard->x) \
      pBoard->x()


void unlockdpmidata(void *addr, int size);
void exitptn(void);

void gendecodegfx(pBYTE pTemp);
int getcurrentcycles(void);
int getcyclesthisframe(void);
int getcyclesperframe(void);
int exec(int cycles);
void causenmi(int cpu);
void setbasecode(int offset);
void openlogfile(void);

#include "key.h"
#include "nkeys.h"

extern UINT16 z80pc;

#define MAX_SKIPS 12

#endif
