#ifndef _MCRST_MEM_H_
#define _MCRST_MEM_H_

struct MemoryWriteByte MCrstWrite[] =
{
   {0x0000,0x3fff,romwrite,NULL},
   {0xa000,0xa002,moongfxextw,NULL},
   {0xa803,0xa803,moondeath,NULL},
   {0xa805,0xa805,moonshoot,NULL},
   {0xa800,0xa802,romwrite,NULL},
   {0xa806, 0xa807,galvolw,NULL},
   {0xb006,0xb006,flipscreenw,NULL},
   {0xb800,0xb800,galpitchw,NULL},

   {(UINT32)0xffffffff,     (UINT32)0xfffffff, NULL,NULL}
};



struct MemoryReadByte MCrstRead[] =
{
   {0xa000,0xa000,dip3,NULL},
   {0xa800,0xa800,dip1,NULL},
   {0xb000,0xb000,dip2,NULL},
   {(UINT32)0xffffffff,     (UINT32)0xfffffff, NULL,NULL}
};


struct MemoryWriteByte skybaseWrite[] =
{
   {0x0000,0x5fff,romwrite,NULL},
   {0xa000,0xa002,moongfxextw,NULL},
   {0xa803,0xa803,moondeath,NULL},
   {0xa805,0xa805,moonshoot,NULL},
   {0xa800,0xa802,romwrite,NULL},
   {0xa806, 0xa807,galvolw,NULL},
   {0xb006,0xb006,flipscreenw,NULL},
   {0xb800,0xb800,galpitchw,NULL},

   {(UINT32)0xffffffff,     (UINT32)0xfffffff, NULL,NULL}
};

struct MemoryReadByte MoonqsrRead[] =
{
   {0xa000,0xa000,dip3,NULL},
   {0xa800,0xa800,dip1,NULL},
   {0xb000,0xb000,dip2,NULL},
   {0xb800,0xb800,dip4,NULL},
   {(UINT32)0xffffffff,     (UINT32)0xfffffff, NULL,NULL}
};

struct MemoryReadByte CheckManRead[] =
{
   {0x9400,0x97ff,checkmanmir,NULL},  /* Checkman - video RAM mirror */
   {0xa800,0xa800,dip1,NULL},
   {0xb000,0xb000,dip2,NULL},
   {(UINT32)0xffffffff,     (UINT32)0xfffffff, NULL,NULL}
};

struct MemoryWriteByte CheckManWrite[] =
{
   {0x0000,0x3fff,romwrite,NULL},
   {0xa000,0xa002,moongfxextw,NULL},
   {0xa800,0xa802,romwrite,NULL},
   {0xb006,0xb006,flipscreenw,NULL},
   {(UINT32)0xffffffff,     (UINT32)0xfffffff, NULL,NULL}
};

struct z80PortWrite CheckManWritePorts[] =
{
   {0,0,checkmansndcmd,NULL},
   {(UINT16)0xffff,(UINT16)0xffff, NULL,NULL}
};


struct z80PortRead CheckManSndReadPorts[] =
{
   {0x03,0x03,sndlatchportr,NULL },
   {0x06,0x06,AY8910_read_port_0_r,NULL},
   {(UINT16)0xffff,(UINT16)0xffff,NULL,NULL}
};

struct z80PortWrite CheckManSndWritePorts[] =
{
   {0x04,0x04,AY8910_control_port_0_w,NULL},
   {0x05,0x05,AY8910_write_port_0_w,NULL},
   {(UINT16)0xffff,(UINT16)0xffff,NULL,NULL}
};

struct MemoryReadByte CheckManSndRead[] =
{
   {(UINT32)0xffffffff,     (UINT32)0xfffffff, NULL,NULL}
};

struct MemoryWriteByte CheckManSndWrite[] =
{
   {(UINT32)0xffffffff,     (UINT32)0xfffffff, NULL,NULL}
};


#endif
