#include "main.h"
#include "globals.h"
#include "galvid.h"
#include "pacvid.h"
#include "twk.h"


void pooyanint(void)
{
   if(pCode[0xa180])
      mz80nmi();
}

void initpooyan(void)
{
}



void clearpooyan(void)
{
}

void pyanupdatescreen(void)
{
   int x,y,idx,col,flpx,flpy;
   int prey,prey2;
   pBYTE pWork;
   pBYTE pWork2;
   pBYTE pWork3;

   pWork2=&pCode[0x8400];
   pWork3=&pCode[0x8000];

   if(realorient)
   {
      if(FlipScreen)
      {
         for(y=0;y<32;y++)
         {
            prey=y<<5;
            prey2=248-(y<<3);
            for(x=0;x<32;x++,pWork2++,pWork3++)
            {
               col=*pWork3;
               flpx=(col&0x40);
               flpy=(col&0x80);
               col&=0x0f;
               dispflipchar(248-(x<<3),prey2,*pWork2,col,flpx,flpy);
            }
         }
      }
      else
      {
         for(y=0;y<32;y++)
         {
            prey=y<<5;
            prey2=y<<3;
            for(x=0;x<32;x++,pWork2++,pWork3++)
            {
               col=*pWork3;
               flpx=(col&0x40);
               flpy=(col&0x80);
               col&=0x0f;
               dispflipchar(x<<3,prey2,*pWork2,col,flpx,flpy);
            }
         }
      }

      if(ror)
      {
         for(idx=0;idx<48;idx+=2)
         {
            x=240-pCode[0x9010+idx];
            y=pCode[0x9411+idx];
            if(x>8&&y>0&&y<224)
            {
               col=pCode[0x9410+idx];
               flpx=(col&0x40);
               flpy=!(col&0x80);
               col&=0x0f;
               sprblit(x,y,pCode[0x9011+idx]&0x3f,col,flpx,flpy);
            }
         }
      }
      else
      {
         for(idx=0;idx<48;idx+=2)
         {
            x=pCode[0x9010+idx];
            y=240-pCode[0x9411+idx];
            if(x>8&&y>0&&y<224)
            {
               col=pCode[0x9410+idx];
               flpx=!(col&0x40);
               flpy=(col&0x80);
               col&=0x0f;
               sprblit(x,y,pCode[0x9011+idx]&0x3f,col,flpx,flpy);
            }
         }
      }
	}
   else
   {
      if(FlipScreen)
      {
         for(y=0;y<32;y++)
         {
            prey=y<<5;
            prey2=(y<<3)+7;
            for(x=0;x<32;x++,pWork2++,pWork3++)
            {
               col=*pWork3;
               flpx=(col&0x40);
               flpy=(col&0x80);
               col&=0x0f;
               dispflipchar(prey2,248-(x<<3),*pWork2,col,flpy,flpx);
            }
         }
      }
      else
      {
         for(y=0;y<32;y++)
         {
            prey=y<<5;
            prey2=255-(y<<3);
            for(x=0;x<32;x++,pWork2++,pWork3++)
            {
               col=*pWork3;
               flpx=(col&0x40);
               flpy=(col&0x80);
               col&=0x0f;
               dispflipchar(prey2,(x<<3),*pWork2,col,flpy,flpx);
            }
         }
      }
      if(flipxy)
      {
         for(idx=0;idx<48;idx+=2)
         {
            x=pCode[0x9010+idx];
            y=pCode[0x9411+idx];
            if(x>8&&y<240)
            {
               col=pCode[0x9410+idx];
               flpx=(col&0x40);
               flpy=!(col&0x80);
               col&=0x0f;
               sprblit(247-y,240-x,pCode[0x9011+idx]&0x3f,col,flpy,flpx);
            }
         }
      }
      else
      {
         for(idx=0;idx<48;idx+=2)
         {
            x=pCode[0x9010+idx];
            y=pCode[0x9411+idx]+7;
            if(x>8&&y<240)
            {
               col=pCode[0x9410+idx];
               flpx=!(col&0x40);
               flpy=(col&0x80);
               col&=0x0f;
               sprblit(y,x,pCode[0x9011+idx]&0x3f,col,flpy,flpx);
            }
         }
      }
   }
}


void pooyansetpal(pBYTE pIn)
{
   int idx;
   pBYTE pWork;
   stdsetpal(pIn,32);
   pIn+=32;
   pWork=pIn+256;
   for(idx=0;idx<256;idx++,pIn++,pWork++)
   {
      collookups[0][idx]=((*pWork)&0x0f)+0x10;
      collookups[1][idx]=*pIn&0x0f;
   }
}
