#ifndef _SBLASTER_H_
#define _SBLASTER_H_

//SB functions
int initsb(void);
int createvoltable(void);
void clearsb(void);
int checksb(void);
void setfreq(int cno,int freq);
void getsbval(char *sb,char *ident,int *outval);
void _sbwrap(void);
void _sbwrap_end(void);
void playsample(int channel,int sampleno,int looping,int freq);
void playsamplepos(int cno,int sampleno,int looping,int freq,fixed pos);
void setsbvect(int vect);
static void sbIRQ(void);
static void endofIRQ(void);
void writeDSP(BYTE val);
int readDSP(void);
int resetDSP(void);
int getDSPVersion(void);
int allocDMA(void);
void initDMA(void);
void startplayback(void);
void disablestereo(void);

#define SBINT_ACK \
      inportb(sbbase+0x0e); \
      outportb(0x20,0x20); \
      if(sbint>7) \
         outportb(0xa0,0x20);

#endif
